%global momorel 18
Summary: Wnn6 Client Library
Name: libwnn6
Version: 3.0
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
%NoSource 0 ftp://ftp-sp.omronsoft.co.jp/pub/Wnn6/sdk_source/Wnn6-SDK.tar.gz 8e0148560524643680fd016e5c4e406b
Patch0: libwnn6-config.patch
Patch1: wnn6-sdk_incl.patch
Patch2: wnn6-sdk_shared.patch2
Patch3: wnn6-sdk_malloc2.patch
Patch4: Wnn6-SDK.static.patch2
Patch5: Wnn6-sdk-vl2.patch
Patch6: Wnn6-SDK.nonroot.patch
URL: http://www.omronsoft.co.jp/SP/pcunix/wnn7/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: wnn6-devel

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%package devel
Summary: Development kit for Wnn6 Client Library
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
Development kit for Wnn6 client library necessary to run Wnn6 clients.

%prep
%setup -q -n src
cd contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch6 -p1
fi

rm -fr %{buildroot}
mkdir -p %{buildroot}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf %{buildroot}/usr/X11R6 %{buildroot}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf %{buildroot}/usr/X11R6 %{buildroot}/usr/X11R6.3
fi
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/usr/X11R6/man/man1

%build
cd contrib/im/Xsi
make World -f Makefile.ini CXXDEBUGFLAGS="%{optflags}" CDEBUGFLAGS="%{optflags}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
cd contrib/im/Xsi
make install DESTDIR=%{buildroot} MKDIRHIER='mkdir -p' WNNLIBDIR=%{_libdir} WNNWNNDIR=%{_libdir}/wnn6

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc contrib/im/Xsi/README
%dir %{_libdir}/wnn6/ja_JP/
%{_libdir}/libwnn6.so.1
%{_libdir}/libwnn6.so.1.0.0

%files devel
%defattr(-,root,root)
%{_libdir}/libwnn6.a
%{_libdir}/libwnn6.so
%{_includedir}/wnn6

%ChangeLog
* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0-18m)
- enable x86_64.

* Sun Jan  8 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0-17m)
- SONAME was changed to libwnn6.so.1.

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0-16m)
- update Patch3: wnn6-sdk_malloc2.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0-15m)
- rebuild against new environment.

* Wed Oct 10 2001 Toru Hoshina <t@kondara.org>
- (3.0-14k)
- use Wnn6-SDK-20000817.tar.gz

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Nov 3 1999 Norihito Ohmori <nono@kondara.org>
- add defattr
- move libwnn6.a and libwnn6.so to -devel
- add %postun
- WnnWnnDir change /var/lib/wnn6 -> /usr/local/lib/wnn6

* Thu Aug 19 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- change Wnn6-SDK.config.patch 

* Fri Aug  6 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- patch for Vine1.9

* Fri Jul  9 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- First build
